Package weka.attributeSelection

# Interface AttributeTransformer

All Known Implementing Classes:
  `LatentSemanticAnalysis`, `PrincipalComponents`

public interface AttributeTransformer
Abstract attribute transformer. Transforms the dataset.

Version:
  $Revision: 4613 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`Instance`
`convertInstance(Instance instance)`
Transforms an instance in the format of the original data to the transformed space
`Instances`
`transformedData(Instances data)`
Transform the supplied data set (assumed to be the same format as the training data)
`Instances`
`transformedHeader()`
Returns just the header for the transformed data (ie.

## Method Details

### transformedHeader

Instances transformedHeader() throws Exception
Returns just the header for the transformed data (ie. an empty set of instances. This is so that AttributeSelection can determine the structure of the transformed data without actually having to get all the transformed data through getTransformedData().

Returns:
  the header of the transformed data.
Throws:
  `Exception` - if the header of the transformed data can't be determined.

### transformedData

Instances transformedData(Instances data) throws Exception
Transform the supplied data set (assumed to be the same format as the training data)

Returns:
  A set of instances representing the transformed data
Throws:
  `Exception` - if the attribute could not be evaluated

### convertInstance

Instance convertInstance(Instance instance) throws Exception
Transforms an instance in the format of the original data to the transformed space

Returns:
  a transformed instance
Throws:
  `Exception` - if the instance could not be transformed